VERSION 5.00
Begin VB.Form frmListeningTest 
   BorderStyle     =   3  'Œ޲۸
   Caption         =   "Listening Test"
   ClientHeight    =   5610
   ClientLeft      =   5805
   ClientTop       =   2400
   ClientWidth     =   5910
   Icon            =   "frmListeningTest.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5610
   ScaleWidth      =   5910
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdSync 
      Caption         =   "&Synchronize"
      Height          =   375
      Left            =   4440
      TabIndex        =   11
      Top             =   4680
      Width           =   1335
   End
   Begin VB.CommandButton cmdEdit 
      Caption         =   "&Edit"
      Height          =   375
      Left            =   4440
      TabIndex        =   10
      Top             =   600
      Width           =   1335
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4440
      TabIndex        =   9
      Top             =   5160
      Width           =   1335
   End
   Begin VB.CheckBox chkTestAgain 
      Caption         =   "Test Again"
      Height          =   495
      Left            =   3120
      TabIndex        =   8
      Top             =   4200
      Value           =   1  '
      Width           =   1095
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "See &Answer"
      Height          =   375
      Left            =   4440
      TabIndex        =   7
      Top             =   4200
      Width           =   1335
   End
   Begin VB.TextBox txtAnswerSheet 
      Height          =   1695
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   4
      Top             =   1080
      Width           =   5655
   End
   Begin VB.CommandButton cmdReplay 
      Caption         =   "&Replay"
      Height          =   375
      Left            =   4440
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
   Begin VB.Label lblAnswer 
      BorderStyle     =   1  '
      Height          =   975
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   5655
   End
   Begin VB.Label zLabel 
      Caption         =   "Answer"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   5
      Top             =   2880
      Width           =   1215
   End
   Begin VB.Label zLabel 
      Caption         =   "Answer S&heet"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label lblQNo 
      BorderStyle     =   1  '
      Height          =   375
      Left            =   1320
      TabIndex        =   1
      Top             =   240
      Width           =   855
   End
   Begin VB.Label zLabel 
      Caption         =   "Question No."
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   975
   End
End
Attribute VB_Name = "frmListeningTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'--------------------------------------------------------------------------------------------------=
'    Written/copyright 2000 by Eiji Sakai (sake@istar.ca)
'
'    This software may be used and distributed according to the terms
'    of the GNU Public License, incorporated herein by reference.
'
'    This program allows you to improve your listening in the languages
'    you want to learn.
'
'    Support and updates available at
'    http://www.geocities.co.jp/SiliconValley-Oakland/1731/
'--------------------------------------------------------------------------------------------------=

Public TestLines As cldLines

Dim m_qno As Long

Private Sub chkTestAgain_Click()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)

    If chkTestAgain.value = 0 Then
        line.Status = UNCHECKED
    Else
        line.Status = CHECKED
    End If
End Sub

Private Sub cmdCancel_Click()
    CopyToNote
    Unload Me
End Sub

Private Sub CopyToNote()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)
    Set frmAddEditLine.m_line = line
    If txtAnswerSheet.Text <> "" Then
        line.Note = line.Note & txtAnswerSheet.Text & _
        " (" & Date & " " & Time & ")" & vbCrLf
    End If
End Sub

Private Sub cmdEdit_Click()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)
    Set frmAddEditLine.m_line = line
    frmAddEditLine.Show vbModal
End Sub

Private Sub cmdNext_Click()
    If cmdNext.Caption = "&Next" Then
        CopyToNote
        m_qno = m_qno + 1
        ShowQuestion
    Else
        ShowAnswer
    End If
End Sub

Private Sub cmdReplay_Click()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)
    line.Play
End Sub

Private Sub ShowQuestion()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)

    lblQNo.Caption = m_qno & "/" & TestLines.Count
    txtAnswerSheet.Text = ""
    lblAnswer.Caption = ""
    chkTestAgain.value = 1
    cmdNext.Caption = "See &Answer"
    line.Play
End Sub

Private Sub ShowAnswer()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)
    
    lblAnswer.Caption = line.Text
    cmdNext.Caption = "&Next"
    If m_qno >= TestLines.Count Then
       cmdNext.Enabled = False
    End If
End Sub


Private Sub cmdSync_Click()
    Dim line As cldLine
    Set line = TestLines.Item(m_qno)
    Call frmMain.GotoLineItem(line)
End Sub

Private Sub Form_Load()
   If TestLines.Count = 0 Then
        MsgBox "No questions"
        Unload Me
        Exit Sub
    End If
    m_qno = 1
    ShowQuestion
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set TestLines = Nothing
End Sub



